Commit 6e34a495 authored by Stefano Karapetsas's avatar Stefano Karapetsas

update configure.in for MATE, GSettings and Caja deps

parent fc14680c
......@@ -32,7 +32,7 @@ dnl ==============================================
GLIB_REQUIRED=2.16.0
GTK_REQUIRED=2.18
SLAB_REQUIRED=2.29.0
SLAB_REQUIRED=1.5.2
AM_PATH_GLIB_2_0($GLIB_REQUIRED,,,gobject)
......@@ -44,11 +44,11 @@ COMMON_MODULES="glib-2.0 >= $GLIB_REQUIRED \
libslab >= $SLAB_REQUIRED"
PKG_CHECK_MODULES(APPLICATION_BROWSER, [ $COMMON_MODULES gnome-desktop-2.0 unique-1.0 ])
PKG_CHECK_MODULES(APPLICATION_BROWSER, [ $COMMON_MODULES mate-desktop-2.0 unique-1.0 ])
AC_SUBST(APPLICATION_BROWSER_CFLAGS)
AC_SUBST(APPLICATION_BROWSER_LIBS)
PKG_CHECK_MODULES(MAIN_MENU, [ $COMMON_MODULES libpanelapplet-2.0 gnome-desktop-2.0 gconf-2.0 libgtop-2.0 libxml-2.0 x11 cairo ])
PKG_CHECK_MODULES(MAIN_MENU, [ $COMMON_MODULES libmatepanelapplet-4.0 mate-desktop-2.0 gio-2.0 libgtop-2.0 libxml-2.0 x11 cairo ])
AC_SUBST(MAIN_MENU_CFLAGS)
AC_SUBST(MAIN_MENU_LIBS)
......@@ -88,19 +88,13 @@ AC_SUBST(NETWORK_CFLAGS)
AC_SUBST(NETWORK_LIBS)
dnl ==============================================
dnl Gconf
dnl GSettings
dnl ==============================================
AC_PATH_PROG(GCONFTOOL, gconftool-2, no)
if test x"$GCONFTOOL" = xno; then
AC_MSG_ERROR([gconftool-2 executable was not found in your path - should be install with gconf])
fi
AM_GCONF_SOURCE_2
GLIB_GSETTINGS
dnl ==============================================
dnl End: Gconf
dnl End: GSettings
dnl ==============================================
dnl ==============================================
......@@ -141,31 +135,31 @@ dnl End: strftime
dnl ==============================================
dnl ==============================================
dnl Nautilus Extension
dnl Caja Extension
dnl ==============================================
ENABLE_PROFILER=
AC_ARG_ENABLE(nautilus-extension,
AC_HELP_STRING([--enable-nautilus-extension], [Enable nautilus extension]),
[ENABLE_NAUTILUS_EXTENSION=1])
AC_ARG_ENABLE(caja-extension,
AC_HELP_STRING([--enable-caja-extension], [Enable caja extension]),
[ENABLE_CAJA_EXTENSION=1])
if test "x$ENABLE_NAUTILUS_EXTENSION" = "x1"
if test "x$ENABLE_CAJA_EXTENSION" = "x1"
then
NAUTILUS_REQUIRED=2.6.0
CAJA_REQUIRED=1.5.0
PKG_CHECK_MODULES(NAUTILUS, [libnautilus-extension >= $NAUTILUS_REQUIRED glib-2.0 gobject-2.0 gconf-2.0])
NAUTILUSDIR=`pkg-config --variable=extensiondir libnautilus-extension`
PKG_CHECK_MODULES(CAJA, [libcaja-extension >= $NAUTILUS_REQUIRED glib-2.0 gobject-2.0 gio-2.0])
CAJADIR=`pkg-config --variable=extensiondir libcaja-extension`
AC_SUBST(NAUTILUS_CFLAGS)
AC_SUBST(NAUTILUS_LIBS)
AC_SUBST(NAUTILUSDIR)
AC_SUBST(CAJA_CFLAGS)
AC_SUBST(CAJA_LIBS)
AC_SUBST(CAJADIR)
fi
AM_CONDITIONAL(ENABLE_NAUTILUS_EXTENSION, test "x$ENABLE_NAUTILUS_EXTENSION" = "x1")
AM_CONDITIONAL(ENABLE_CAJA_EXTENSION, test "x$ENABLE_CAJA_EXTENSION" = "x1")
dnl ==============================================
dnl End: Nautilus Extension
dnl End: Caja Extension
dnl ==============================================
GTK_DOC_CHECK(1.0)
......@@ -176,7 +170,7 @@ application-browser/etc/Makefile
application-browser/src/Makefile
main-menu/etc/Makefile
main-menu/src/Makefile
nautilus-main-menu/Makefile
caja-main-menu/Makefile
patch/Makefile
po/Makefile.in
])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment